/******************************************************************************/
// Real time program ceoxTask1 header file
// ceoxTask1.h
/******************************************************************************/
#ifndef __CEOXTASK1_H
#define __CEOXTASK1_H
/******************************************************************************/

#define _RTLIB_   // must be defined in every real time
                  // program before including max_lib.h
#include "max_lib.h"
#include "x_error.h"
#include "x_mdd.h"
#include "ceoxTask1_ver.h"

#define PROGRAMM_NUMBER    0x0065   // (101)   //uniqe program number
#define INTERRUPT_NUMBER   0        //change to your needs

/******************************************************************************/
/******************************************************************************/
//defines for debug messages
//for example DEBUGMSG(ZONE_INFO, (DTAG MSGTEXT("test debug message\n")));
#define DTAG   MSGTEXT("ceoxTask1 ")

#define ZONE_ERROR      1
#define ZONE_INFO       1
/******************************************************************************/
#endif //__CEOXTASK1_H
