/********************************************************************
*  ceox_instprog_dbg.h
*
*  some definitions extracted from ceox.h and ceoxiisr.h 
*	 for ceox_instprog_dbg.cpp
*
*  Copyrights:          SORCUS Computer GmbH 2008
*                       All Rights Reserved
********************************************************************/
#define IOCTL_KLIB_USER               256       // where OEM defined IOCTL starts.

#define USER_IOCTL(X) (IOCTL_KLIB_USER + (X))
#define IOCTL_CEOX_INSTALL_TASK     USER_IOCTL(2)
#define IOCTL_CEOX_GET_C_MAIN       USER_IOCTL(3)
#define IOCTL_CEOX_CALL_C_MAIN      USER_IOCTL(4)
#define IOCTL_CEOX_GET_PDT_ADDRESS  USER_IOCTL(5)
#define IOCTL_CEOX_EXEC_PROC        USER_IOCTL(6)
#define IOCTL_CEOX_GET_INFO         USER_IOCTL(8)

#define IOCTL_LOAD_USER_TASK_IST    USER_IOCTL(12)

typedef struct _CEOX_INFO
{
  DWORD dwInitDone;       
  MAX_OS_INFO   rcOSInfo; 
} CEOX_INFO, *PCEOX_INFO;

typedef struct _CEOX_INSTALL_TASK
{
  DWORD   dwCMainAddress;   
  DWORD   dwPdtAddress;     
  USHORT  usNo;             
  USHORT  usUsage;          
  USHORT  usTask;           
  USHORT  usTaskType;       
  USHORT  usLevel;          
  USHORT  usIrq;            
  USHORT  usFlags;          
  USHORT  usParSize;        
  DWORD   dwDataSize;       
} CEOX_INSTALL_TASK, *PCEOX_INSTALL_TASK;

typedef struct _CEOX_INSTALL_TASK_OUT
{
  DWORD   dwError;          
  USHORT  usTaskNo;         
} CEOX_INSTALL_TASK_OUT, *PCEOX_INSTALL_TASK_OUT;

typedef struct 
{
   USHORT           usTaskNo;    // task number
   USHORT           usProgNo;     // prog number
   WCHAR						 awcProgName[256]; //Program Name                                 
} IST_TASK_PROG_NO_NAME;

